From: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Date: Wed, 26 May 2021 01:34:41 +0200
Subject: arm64: dts: allwinner: pinephone: add ANX7688 caps to DT

Required-For: PinePhone
---
 arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts | 1 +
 arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi    | 4 ++++
 2 files changed, 5 insertions(+)

diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts
index c530296..ff8bd52 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone-1.2.dts
@@ -18,6 +18,7 @@ wifi_pwrseq: wifi-pwrseq {
 &anx7688 {
 	reset-gpios = <&pio 3 6 GPIO_ACTIVE_HIGH>; /* PD6 */
 	avdd33-supply = <&reg_dcdc1>;
+	vbus-supply = <&reg_usb_5v>;
 };
 
 &axp803 {
diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
index 5598d2c..bcbe261 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
@@ -11,6 +11,7 @@
 #include <dt-bindings/input/input.h>
 #include <dt-bindings/leds/common.h>
 #include <dt-bindings/pwm/pwm.h>
+#include <dt-bindings/usb/pd.h>
 
 / {
 	chassis-type = "handset";
@@ -347,6 +348,7 @@ ov5640_ep: endpoint {
 
 &i2c0 {
 	status = "okay";
+	clock-frequency = <400000>;
 
 	anx7688: hdmi-bridge@28 {
 		compatible = "analogix,anx7688";
@@ -394,11 +396,13 @@ touchscreen@5d {
 		VDDIO-supply = <&reg_ldo_io0>;
 		touchscreen-size-x = <720>;
 		touchscreen-size-y = <1440>;
+		poweroff-in-suspend;
 	};
 };
 
 &i2c1 {
 	status = "okay";
+	clock-frequency = <400000>;
 
 	/* Magnetometer */
 	lis3mdl: magnetometer@1e {
